Subject: RE: bug#1150: 23.0.60;Ibuffer's menubar menu should be named Ibuffer, not View

From: "Drew Adams" <[email-masked]>
Date: Sun, 12 Oct 2008 10:12:33 -0700

> emacs -Q
> M-x ibuffer
>  
> The menubar menu `View' should be named `Ibuffer'. It is all about and
> only about Ibuffer. It is not about viewing in general, and it is by
> no means only about viewing. The last menu item is (rightfully)
> `Customize Ibuffer', not `Customize View' or `Customize Viewing'.
>  
> This is about Ibuffer, and only Ibuffer. Someone looking for a menu
> about Ibuffer will not look for `View', and someone looking for a menu
> about displaying or viewing will not expect to find only stuff about
> Ibuffer.
>  
> In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
>  of 2008-10-03 on LENNART-69DE564
> Windowing system distributor `Microsoft Corp.', version 5.1.2600
> configured using `configure --with-gcc (3.4) --no-opt 
> --cflags -Ic:/g/include
> -fno-crossjumping'

My bad. I didn't notice that there were additional Ibuffer menus, `Operate' and
`Mark'. I withdraw most of what I said.

However, the `View' menu is still inappropriately named - it includes things
that have nothing to do with viewing (`Diff with file', `Toggle Auto Mode',
`Customize Ibuffer', `Filter', `Filter Groups'). It seems to be a catch-all - an
`Ibuffer' menu for things that don't fit in `Operate' or `Mark'. And menu
`Operate' includes some viewing menu items. 

I don't have a better name in mind than `View'. Instead, I'd suggest perhaps
reorganizing the menus. The organization of the Dired menus is superior and
might serve as a partial model.